Bug 736681 - Test scenario audit log contains references to missing images when viewed from IE7
Summary: Test scenario audit log contains references to missing images when viewed fro...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: User Interface
Version: BRMS 5.2.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ER4
: BRMS 5.3.0.GA
Assignee: Mark Proctor
QA Contact: Sona Mala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 12:22 UTC by Jiri Locker
Modified: 2013-11-07 22:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Running a test scenario in the JBoss BRMS user interface using Internet Explorer 7 resulted in missing icons being referenced in the audit log section which created errors related to the missing icons. These icons have been added to JBoss BRMS and the errors related to missing icons no longer occur.
Clone Of:
Environment:
Internet Explorer 7 Safari 4 and 5
Last Closed:
Type: ---


Attachments (Terms of Use)
AuditLog.png (35.79 KB, image/png)
2011-09-08 12:22 UTC, Jiri Locker
no flags Details
Verified auditlog (25.28 KB, image/png)
2012-05-18 12:33 UTC, Sona Mala
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1758 None None None Never

Description Jiri Locker 2011-09-08 12:22:36 UTC
Created attachment 522102 [details]
AuditLog.png

Description of problem:
After running a test scenario, audit log can be viewed. When this is done using Internet Explorer 7, each audit log item is introduced with an image icon, which refers to a non-existing file:
> http://localhost:8080/jboss-brms/org.drools.guvnor.Guvnor/images/audit_events/1.gif

As a result, IE displays an image indicating a missing resource. In Firefox, it seems these audit log icons are not present at all, so no error is obvious.

Version-Release number of selected component (if applicable):
BRMS 5.2.0 ER3

How reproducible:
use IE7

Steps to Reproduce:
1. run any test scenario
2. click 'Show events' button
  
Actual results:
IE7 displays images indicating missing image resources

Expected results:
No error should be obvious. Either the audit log icons should be removed or the referenced image resource should be added into Guvnor web app.

Additional info:
see screenshot

Comment 1 Jiri Locker 2011-09-14 16:13:22 UTC
Safari 4 and 5 are also affected.

Comment 4 Ryan Zhang 2012-01-21 01:34:59 UTC
has this issue been fixed?

Comment 5 Ryan Zhang 2012-01-21 01:35:58 UTC
Jervis, has this issue been fixed in 5.3.x branch?

Comment 6 Jervis Liu 2012-02-01 04:51:03 UTC
Yes, fixed on 5.3.x.

Comment 7 Zuzana Krejčová 2012-02-14 11:26:32 UTC
Verified on IE7, reassigning to jlocker for Safari.

Comment 8 Ryan Zhang 2012-02-15 09:11:36 UTC
Please verify the issue on 5.3 ER4.

Comment 9 Sona Mala 2012-05-18 12:33:07 UTC
Created attachment 585399 [details]
Verified auditlog

Comment 10 lcarlon 2012-06-04 23:52:27 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Running a test scenario in the JBoss BRMS user interface using Internet Explorer 7 resulted in missing icons being referenced in the audit log section which created errors related to the missing icons. These icons have been added to JBoss BRMS and the errors related to missing icons no longer occur.


Note You need to log in before you can comment on or make changes to this bug.